tweet

GoogleAdMobAdsSdkiOS-6.1.4, iOS6/Xcode 4.5 Error , 2012-9-21


GoogleAdMobAdsSdkiOS-6.1.4, iOS6/Xcode 4.5 Error

九月ですね、少し涼しくなりました。

1) iOS6 にVU, すると、Xcode4.3.X でデバイスにインストールできなくなる。
2) XCode4.5にあげると、adMob関連のエラー発生(汗、)
リンク時に、libGoogleAdMobAds.a で、armv7s とかのエラーでます。

ググると、対策っぽい記事発見。正式な対策ではないかもですが、メモしときます。
Build Settings の、architecture / valid architectures を
armv7
に変えると回避できました。(armv7s を削除)下記修正で、コンパイル完了でした。
それではまた。

*) 参考url
http://stackoverflow.com/questions/12403630/apple-mach-o-linker-error-armv7s-libgoogleadmobads-a

===Error
ld: file is universal (3 slices) but does not contain a(n) armv7s slice
 clang: error: linker command failed with exit code 1 (use -v to see invocation) libGoogleAdMobAds.a

===
Project -> Build Settings -> remove the architecture from "valid architectures"
 before: armv7 armv7s
 change: armv7

*) [armv7s] delete

コメント

AD-parts

Shop
Bluetooth搭載
ベース基板

FACEBOOK

人気の投稿